Subject: bug#5390: changes in python.el to support IPython

From: Chong Yidong <[email-masked]>
Date: Tue, 24 Aug 2010 16:25:00 -0400

> I made several changes to python.el to support the IPython console.

I did some reworking of your patch, and have committed it to the trunk
repository.  Thanks for your contribution.

> Also, I really think that python's menu item "Start interpreter"
> should execute `run-python' instead of `python-shell', mainly because
> all the items below use that interpreter to work. With that said I
> really don't understand why `python-shell' could be useful at all, my
> guess is that it could be set as a defalias to `run-python'.

I'm not sure what is the correct thing here, so I left it alone.  If you
would like to discuss this, please start a thread on emacs-devel and we
can sort it out there.

Thanks.